<?php

require_once('config.php');

// Check Q_master_delete table

$_hall = $_POST['hall'];
$_table = $_POST['table'];

if($_hall && $_table){
  $master_delete = odbc_exec($db, "SELECT * FROM Q_master_delete WHERE hall_name='$_hall' AND Masa='$_table'");
  $master_delete = odbc_num_rows($master_delete);

  if($master_delete>0){
    $response = array("successful" => false, "error_title" => "Adisyon yazdırma hatası!", "error_message" => "Bekleyen siparişler var.");
  } else {

    $table = odbc_exec($db,"SELECT * FROM Q_master_table WHERE hall_name='$_hall' AND Masa='$_table'");
    $table = odbc_fetch_array($table);
    if($table['waiter']=='' || !$table['waiter']){
      $response = array("successful" => false, "error_title" => "Adisyon yazdırma hatası!", "error_message" => "Bu masa boş.");
    } elseif($table['adisyaz']) {
      $response = array("successful" => false, "error_title" => "Adisyon yazdırma hatası!", "error_message" => "Bu masanın adisyonu zaten yazdırıldı.");
    } elseif($table['subtotal']<0) {
      $response = array("successful" => false, "error_title" => "Adisyon yazdırma hatası!", "error_message" => "Adisyon tutarı 0 ₺ altında olamaz.");
    } else {
      if(odbc_exec($db, "INSERT INTO Q_pda_adisyon (hall_name, masa) VALUES ('$_hall', '$_table')"))
        if(odbc_exec($db, "UPDATE Q_master_table SET adisyaz=1 WHERE hall_name='$_hall' AND Masa='$_table'"))
          $response = array("successful" => true);
        else
          $response = array("successful" => false, "error_title" => "Adisyon yazdırma hatası!", "error_message" => "Veritabanı Hatası.");
      else
        $response = array("successful" => false, "error_title" => "Adisyon yazdırma hatası!", "error_message" => "Veritabanı Hatası.");
    }
  }
} else {
  $response = array("successful" => false, "error_title" => "Adisyon yazdırma hatası!", "error_message" => "Yanlış veya eksik bir data gönderdiniz.");
}

utf8_print($response);

?>
